zip_shortest.hpp File Reference

Forward declares `boost::hana::zip_shortest`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::zip_shortest
| Zip one sequence or more.Given `n` sequences `s1, ..., sn`, `zip_shortest` produces a sequence whose `i`-th element is a tuple of `(s1[i], ..., sn[i])`, where `sk[i]` denotes the `i`-th element of the `k`-th sequence. In other words, `zip_shortest` produces a sequence of the form. More...

## Detailed Description

Forward declares `boost::hana::zip_shortest`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)